Subject: Question on Teredo: Maintaining the NAT mapping with the Teredo Server

From: Fernando Gont <[email-masked]>
Date: Fri, 21 May 2010 05:48:13 -0300

Hi, folks,

I have a few questions on Teredo on which I hope you can shed some light:

1) The Teredo overview published by Microsoft
(http://technet.microsoft.com/en-us/library/bb457011(printer).aspx)
suggests that a bubble packet is used to maintain the NAT mapping with
the Teredo server. A couple of questions on this one:
1a) Is the Teredo server supposed to respond with a Teredo bubble, or what?
1b) According to RFC 4380, RS/RA messages are used for that purpose.
Is there any specific reason for which this was changed (from "bubble"
to "RS/RA") at some point, or is the "Teredo Overview" published by MS
simply wrong?

2) Assuming RS/RA messages are used for maintaining the NAT mapping:
2a) Are Teredo clients supposed to process the received RAs? (e.g.,
process the "Router Lifetime", the Prefix Information Option, etc.)
2b) Do you know of any implementations that actually process them?

Thanks so much!

Kind regards,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: Poorna Gaddehosur <[email-masked]>
Date: Fri, 21 May 2010 21:56:25 +0000

Fernando,
Please see inline:

________________________________

Hi, folks,

#Poorna# Well, 2.8 of RFC 4380 does say bubbles are used to create a NAT mapping, but this with regards to establishing communication to a peer.
Teredo server will respond with a bubble if it receives one as long as it conforms to section 5.3.1.

simply wrong?

#Poorna# Agreed. It is misleading and we will fix the documentation.

#Poorna# Yes, Teredo clients must process the RA packets.

#Poorna# Windows(XP SP1 (with advanced networking pack) onwards) implementations of Teredo processes the RS/RA packets.

Thanks so much!

Kind regards,

--

Fernando Gont

e-mail: fernando at gont.com.ar || fgont at acm.org